# classes/phing/types/Mapper.php

## \Mapper
jump to top

Filename Mapper maps source file name(s) to target file name(s).

Built-in mappers can be accessed by specifying they "type" attribute: `` Custom mappers can be specified by providing a dot-path to a include_path-relative class: ``

Extends from
  \DataType
author
  Hans Lellelid
package
  phing.types
version
  $Revision: 526 $

### Properties

`$classname= ''`
Details

Type

`$classpath= ''`
Details

Type

`$classpathId= ''`
Details

Type

`$from= ''`
Details

Type

`$to= ''`
Details

Type

`$type= ''`
Details

Type

### Methods

`__construct( $project ) :`
Parameters

Name | Type | Description
--- | --- | ---
$project |  |

`createClasspath( ) :`
Create the classpath to be used when searching for component being defined
`getImplementation( ) :`
Factory, returns inmplementation of file name mapper as new instance
`getRef( ) :`
Performs the check for circular references and returns the referenced Mapper.
`setClassname( $classname ) :`
Set the class name of the FileNameMapper to use.
Parameters

Name | Type | Description
--- | --- | ---
$classname |  |

`setClasspath( \Path $classpath ) :`
Set the classpath to be used when searching for component being defined
Parameters

Name | Type | Description
--- | --- | ---
$classpath | \Path | An Path object containing the classpath.

`setClasspathRef( $r ) :`
Reference to a classpath to use when loading the files.
Parameters

Name | Type | Description
--- | --- | ---
$r |  |

`setFrom( $from ) :`
Set the argument to FileNameMapper.setFrom
Parameters

Name | Type | Description
--- | --- | ---
$from |  |

`setRefid( $r ) :`
Make this Mapper instance a reference to another Mapper.

You must not set any other attribute if you make it a reference.

Parameters

Name | Type | Description
--- | --- | ---
$r |  |

`setTo( $to ) :`
Set the argument to FileNameMapper.setTo
Parameters

Name | Type | Description
--- | --- | ---
$to |  |

`setType( $type ) :`
Set the type of FileNameMapper to use.
Parameters

Name | Type | Description
--- | --- | ---
$type |  |

Documentation was generated by DocBlox 0.13.1.